#!/bin/env sh

set -e

SCRIPT_DIR=$(dirname "$0")
VERSION_DIR=$(realpath "$SCRIPT_DIR/..")
CONF_DIR="$VERSION_DIR/conf"
NGINX_CONF_DIR="/etc/nginx/conf.d"

CONF_FILE_NAME="demo-app-nginx.conf"
CONF_FILE="$CONF_DIR/$CONF_FILE_NAME"
SYM_LINK="$NGINX_CONF_DIR/$CONF_FILE_NAME"

echo "Recreating symbolic link $SYM_LINK for new configuration at $CONF_FILE"
rm -f "$NGINX_CONF_DIR/$CONF_FILE_NAME" || true
ln -s "$CONF_FILE" "$SYM_LINK"

echo "Reloading nginx configuration..."
nginx -s reload

echo "Done."

